package com.example.restexample.rest;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/v2")
@ResponseBody
public class AgentRegistrationRestController {
   private static final Logger LOGGER = LoggerFactory.getLogger(AgentRegistrationRestController.class);

   @GetMapping(value = "/hello")
   public String hello() {
      return "Hello, world!";
   }

   @PostMapping(value = "/agentregistration", produces = MediaType.APPLICATION_JSON_VALUE)
   public ResponseEntity<String> registerAgent(@RequestBody AgentRegistration agentRegistration) {

      LOGGER.info("REST Endpoint 'RegisterAgent' called");
      LOGGER.info("Agent ID: {}", agentRegistration.getAgentId());

      return ResponseEntity.status(HttpStatus.OK).body("Agent successfully registered");
   }
}
